# DCM/DFA Reporting And Trafficking API . operatingSystemVersions

## Instance Methods

Gets one operating system version by ID.

Retrieves a list of operating system versions.

### Method Details

`get(profileId, id)`

    Gets one operating system version by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Operating system version ID. (required)

    Returns:
      An object of the form:

        { # Contains information about a particular version of an operating system that can be targeted by ads.
        "majorVersion": "A String", # Major version (leftmost number) of this operating system version.
        "kind": "dfareporting#operatingSystemVersion", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystemVersion".
        "name": "A String", # Name of this operating system version.
        "id": "A String", # ID of this operating system version.
        "operatingSystem": { # Contains information about an operating system that can be targeted by ads. # Operating system of this operating system version.
          "mobile": True or False, # Whether this operating system is for mobile.
          "dartId": "A String", # DART ID of this operating system. This is the ID used for targeting.
          "kind": "dfareporting#operatingSystem", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystem".
          "name": "A String", # Name of this operating system.
          "desktop": True or False, # Whether this operating system is for desktop.
        },
        "minorVersion": "A String", # Minor version (number after the first dot) of this operating system version.
      }

`list(profileId)`

    Retrieves a list of operating system versions.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Operating System Version List Response
        "kind": "dfareporting#operatingSystemVersionsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystemVersionsListResponse".
        "operatingSystemVersions": [ # Operating system version collection.
          { # Contains information about a particular version of an operating system that can be targeted by ads.
            "majorVersion": "A String", # Major version (leftmost number) of this operating system version.
            "kind": "dfareporting#operatingSystemVersion", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystemVersion".
            "name": "A String", # Name of this operating system version.
            "id": "A String", # ID of this operating system version.
            "operatingSystem": { # Contains information about an operating system that can be targeted by ads. # Operating system of this operating system version.
              "mobile": True or False, # Whether this operating system is for mobile.
              "dartId": "A String", # DART ID of this operating system. This is the ID used for targeting.
              "kind": "dfareporting#operatingSystem", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#operatingSystem".
              "name": "A String", # Name of this operating system.
              "desktop": True or False, # Whether this operating system is for desktop.
            },
            "minorVersion": "A String", # Minor version (number after the first dot) of this operating system version.
          },
        ],
      }